package market.Slm.OrderManagement.vo;
import java.util.Date;

import market.Slm.OrderManagement.mapper.SlmOrderSplitInfoMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_ORDER_SPLIT_INFO", namespace=SlmOrderSplitInfoMapper.class)
public class SlmOrderSplitInfo extends BaseVO  {

	/**
	 * 订单拆分信息表
	 * */
	@Id
	//主键
	private String id;

	@Column
	//订单主键
	private String order_no;

	@Column
	//工序ID
	private String process_code;

	@Column
	//工序名称
	private String process_desc;

	@Column
	//重量
	private Double estimate_weight; 

	@Column
	//加工价
	private Double work_price;

	@Column
	//有效？ 0否 1 是
	private String valid_flag;

	@Column
	//是否已拆分 0否 1 是
	private String status;

	@Column
	//创建人编号
	private String create_man_no;

	@Column
	//创建人姓名
	private String create_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//创建时间
	private Date create_time;

	@Column
	//删除人编号
	private String delete_man_no;

	@Column
	//删除人姓名
	private String delete_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//删除时间
	private Date delete_time;
	
	@Column
	//加工计划
	private String plan;
	
	@Column
	//加工价
	private Double process_price;
	public Double getProcess_price() {
		return process_price;
	}
	public void setProcess_price(Double process_price) {
		this.process_price = process_price;
	}

	@Column
	//运费
	private Double trade_price;
	public Double getTrade_price() {
		return trade_price;
	}
	
	@Column
	//拆分后的订单号
	private String order_no_child;
	public String getOrder_no_child() {
		return order_no_child;
	}
	public void setOrder_no_child(String order_no_child) {
		this.order_no_child = order_no_child;
	}
	
	public void setTrade_price(Double trade_price) {
		this.trade_price = trade_price;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getOrder_no() {
		return order_no;
	}

	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}

	public String getProcess_code() {
		return process_code;
	}

	public void setProcess_code(String process_code) {
		this.process_code = process_code;
	}

	public String getProcess_desc() {
		return process_desc;
	}

	public void setProcess_desc(String process_desc) {
		this.process_desc = process_desc;
	}

	public Double getEstimate_weight() {
		return estimate_weight;
	}

	public void setEstimate_weight(Double estimate_weight) {
		this.estimate_weight = estimate_weight;
	}

	public Double getWork_price() {
		return work_price;
	}

	public void setWork_price(Double work_price) {
		this.work_price = work_price;
	}

	public String getValid_flag() {
		return valid_flag;
	}

	public void setValid_flag(String valid_flag) {
		this.valid_flag = valid_flag;
	}
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getCreate_man_no() {
		return create_man_no;
	}

	public void setCreate_man_no(String create_man_no) {
		this.create_man_no = create_man_no;
	}

	public String getCreate_man_name() {
		return create_man_name;
	}

	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	public Date getCreate_time() {
		return create_time;
	}

	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	public String getDelete_man_no() {
		return delete_man_no;
	}

	public void setDelete_man_no(String delete_man_no) {
		this.delete_man_no = delete_man_no;
	}

	public String getDelete_man_name() {
		return delete_man_name;
	}

	public void setDelete_man_name(String delete_man_name) {
		this.delete_man_name = delete_man_name;
	}

	public Date getDelete_time() {
		return delete_time;
	}

	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	public String getPlan() {
		return plan;
	}

	public void setPlan(String plan) {
		this.plan = plan;
	}

}
